%define major 2
%define libxrandr %mklibname xrandr %{major}
%define devxrandr %mklibname xrandr -d

Name: libxrandr
Summary:  X RandR Library
Version: 1.5.4
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: pkgconfig(xrender) >= 0.9.0.2
BuildRequires: x11-proto-devel >= 7.4-16mdv2009.1
BuildRequires: x11-util-macros >= 1.0.1

%description
X RandR Library

#-----------------------------------------------------------

%package -n %{libxrandr}
Summary:  X RandR Library
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libxrandr}
X RandR Library

%files -n %{libxrandr}
%{_libdir}/libXrandr.so.%{major}
%{_libdir}/libXrandr.so.%{major}.*

#-----------------------------------------------------------

%package -n %{devxrandr}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libxrandr} = %{version}-%{release}
Provides: libxrandr-devel = %{version}-%{release}
Obsoletes: lib64xrandr2-devel
Obsoletes: lib64xrandr2-static-devel
Provides: lib64xrandr2-devel = %{version}-%{release}
Provides: lib64xrandr2-static-devel = %{version}-%{release}

%description -n %{devxrandr}
Development files for %{name}

%files -n %{devxrandr}
%{_libdir}/libXrandr.so
%{_libdir}/pkgconfig/xrandr.pc
%{_includedir}/X11/extensions/Xrandr.h
%{_mandir}
#-----------------------------------------------------------

%prep

%build
pushd %{_sourcedir}
wget -nc https://xorg.freedesktop.org/archive/individual/lib/libXrandr-%{version}.tar.xz
tar -xf libXrandr-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/libXrandr-%{version}
%configure2_5x --disable-static
%make
popd


%install
pushd  %_builddir/libXrandr-%{version}
%makeinstall_std
popd

find %{buildroot} -name "*.la" -delete

%changelog
* Thu Oct 05 2023 tex - 1.5.4-1pclos2023
- new version

* Wed Aug 02 2023 tex - 1.5.3-2pclos2023
- rebuild against updates

* Mon Nov 21 2022 tex - 1.5.3-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.5.2-6pclos2022
- rebuild against updates

* Thu Jun 24 2021 tex - 1.5.2-5pclos2021
- rebuild against updates
